These are chat archives for getredash/redash

7th
Feb 2016
Roy Berkowitz
@royzipuff
Feb 07 2016 11:30
Hello guys
Is anyone familiar with "The server encountered an internal error and was unable to complete your request. Either the server is overloaded or there is an error in the application."
error ?
Arik Fraimovich
@arikfr
Feb 07 2016 11:35
@royzipuff what status code are you getting? 503?
Roy Berkowitz
@royzipuff
Feb 07 2016 11:36
@arikfr 500
Arik Fraimovich
@arikfr
Feb 07 2016 11:36
check /opt/redash/logs/api_error.log
Roy Berkowitz
@royzipuff
Feb 07 2016 11:40
@arikfr nothing in there actually
Arik Fraimovich
@arikfr
Feb 07 2016 11:40
try tailing it, and reloading
check also /opt/redash/logs/api.log
Roy Berkowitz
@royzipuff
Feb 07 2016 11:45
@arikfr sending you a printscreen via mail
@arikfr the only thing i can see is [2016-02-07 11:41:18,813][PID:1537][ERROR][redash.wsgi] Exception on /login [GET]
Arik Fraimovich
@arikfr
Feb 07 2016 11:51
@royzipuff is there a stacktrace?
Roy Berkowitz
@royzipuff
Feb 07 2016 11:55
@arikfr Traceback (most recent call last):
File "/usr/local/lib/python2.7/dist-packages/flask/app.py", line 1817, in wsgi_app
response = self.full_dispatch_request()
File "/usr/local/lib/python2.7/dist-packages/flask/app.py", line 1477, in full_dispatch_request
rv = self.handle_user_exception(e)
File "/usr/local/lib/python2.7/dist-packages/flaskrestful/_init.py", line 271, in error_router
return original_handler(e)
File "/usr/local/lib/python2.7/dist-packages/flask/app.py", line 1381, in handle_user_exception
reraise(exc_type, exc_value, tb)
File "/usr/local/lib/python2.7/dist-packages/flask/app.py", line 1475, in full_dispatch_request
rv = self.dispatch_request()
File "/usr/local/lib/python2.7/dist-packages/flask/app.py", line 1461, in dispatch_request
return self.view_functionsrule.endpoint
File "/opt/redash/redash.0.8.1.b1110/redash/handlers/authentication.py", line 10, in login
if current_user.is_authenticated():
TypeError: 'bool' object is not callable
Arik Fraimovich
@arikfr
Feb 07 2016 11:57
you're using redash v0.8.1 with pip dependencies of redash 0.9.0. if this is happening after an upgrade, make sure /opt/redash/current is linked to the correct folder and restart the server (supervisorctl restart redash_server).
Roy Berkowitz
@royzipuff
Feb 07 2016 11:59
@arikfr great, thanks. ill try to upgrade again
Arik Fraimovich
@arikfr
Feb 07 2016 12:10
:+1: